#!/bin/sh

JVM_ARGS="$JVM_ARGS"
JVM_XMX="-Xmx4096m"
JVM_XMS="-Xms1024m"

LIBDIR=lib/central-query
ZAPP_JAR=${LIBDIR}/central-query-0.1.27.jar

if [ -f ${ZAPP_JAR} ]; then
    exec java -server -XX:OnOutOfMemoryError="kill -9 %p" ${JVM_XMX} ${JVM_XMS} ${JVM_ARGS}  -jar ${ZAPP_JAR} server etc/central-query/configuration.yaml
else
    # compile and install projects before running
    cd ${LIBDIR} && mvn -DskipTests=true compile install && mvn -DskipTests=true exec:java -pl central-query
fi
